# sets the Color Array for Ptolemy Tk (ptk) calls.  
# This program must be run once at program start up and 
#   before the program "ptkColor" is called.
#
# ptkColor
# looks up a color name in the ptkColorList.  If it exists, returns
# the rgb value of the color.  If it does not exist, returns black.
# All names are converted to lower case before looking them up.
#
# Author: Alan Kamas and Edward A. Lee
# Version: @(#)ptkColor.tcl	1.2	12/5/93
#
# Copyright (c) 1990-1993 The Regents of the University of California.
# All rights reserved.
#
# Permission is hereby granted, without written agreement and without
# license or royalty fees, to use, copy, modify, and distribute this
# software and its documentation for any purpose, provided that the above
# copyright notice and the following two paragraphs appear in all copies
# of this software.
#
# IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
# FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
# ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
# THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
# PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
# CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
# ENHANCEMENTS, OR MODIFICATIONS.
#                                                         COPYRIGHTENDKEY

set ptkColorList(snow) #fffafa
set ptkColorList(ghostwhite) #f8f8ff
set ptkColorList(whitesmoke) #f5f5f5
set ptkColorList(gainsboro) #dcdcdc
set ptkColorList(floralwhite) #fffaf0
set ptkColorList(oldlace) #fdf5e6
set ptkColorList(linen) #faf0e6
set ptkColorList(antiquewhite) #faebd7
set ptkColorList(papayawhip) #ffefd5
set ptkColorList(blanchedalmond) #ffebcd
set ptkColorList(bisque) #ffe4c4
set ptkColorList(peachpuff) #ffdab9
set ptkColorList(navajowhite) #ffdead
set ptkColorList(moccasin) #ffe4b5
set ptkColorList(cornsilk) #fff8dc
set ptkColorList(ivory) #fffff0
set ptkColorList(lemonchiffon) #fffacd
set ptkColorList(seashell) #fff5ee
set ptkColorList(honeydew) #f0fff0
set ptkColorList(mintcream) #f5fffa
set ptkColorList(azure) #f0ffff
set ptkColorList(aliceblue) #f0f8ff
set ptkColorList(lavender) #e6e6fa
set ptkColorList(lavenderblush) #fff0f5
set ptkColorList(mistyrose) #ffe4e1
set ptkColorList(white) #ffffff
set ptkColorList(black) #000000
set ptkColorList(darkslategray) #2f4f4f
set ptkColorList(dimgray) #696969
set ptkColorList(slategray) #708090
set ptkColorList(lightslategray) #778899
set ptkColorList(gray) #bebebe
set ptkColorList(grey) #bebebe
set ptkColorList(lightgrey) #d3d3d3
set ptkColorList(lightgray) #d3d3d3
set ptkColorList(midnightblue) #191970
set ptkColorList(navy) #000080
set ptkColorList(navyblue) #000080
set ptkColorList(cornflowerblue) #6495ed
set ptkColorList(darkslateblue) #483d8b
set ptkColorList(slateblue) #6a5acd
set ptkColorList(mediumslateblue) #7b68ee
set ptkColorList(lightslateblue) #8470ff
set ptkColorList(mediumblue) #0000cd
set ptkColorList(royalblue) #4169e1
set ptkColorList(blue) #0000ff
set ptkColorList(dodgerblue) #1e90ff
set ptkColorList(deepskyblue) #00bfff
set ptkColorList(skyblue) #87ceeb
set ptkColorList(lightskyblue) #87cefa
set ptkColorList(steelblue) #4682b4
set ptkColorList(lightsteelblue) #b0c4de
set ptkColorList(lightblue) #add8e6
set ptkColorList(powderblue) #b0e0e6
set ptkColorList(paleturquoise) #afeeee
set ptkColorList(darkturquoise) #00ced1
set ptkColorList(mediumturquoise) #48d1cc
set ptkColorList(turquoise) #40e0d0
set ptkColorList(cyan) #00ffff
set ptkColorList(lightcyan) #e0ffff
set ptkColorList(cadetblue) #5f9ea0
set ptkColorList(mediumaquamarine) #66cdaa
set ptkColorList(aquamarine) #7fffd4
set ptkColorList(darkgreen) #006400
set ptkColorList(darkolivegreen) #556b2f
set ptkColorList(darkseagreen) #8fbc8f
set ptkColorList(seagreen) #2e8b57
set ptkColorList(mediumseagreen) #3cb371
set ptkColorList(lightseagreen) #20b2aa
set ptkColorList(palegreen) #98fb98
set ptkColorList(springgreen) #00ff7f
set ptkColorList(lawngreen) #7cfc00
set ptkColorList(green) #00ff00
set ptkColorList(chartreuse) #7fff00
set ptkColorList(mediumspringgreen) #00fa9a
set ptkColorList(greenyellow) #adff2f
set ptkColorList(limegreen) #32cd32
set ptkColorList(yellowgreen) #9acd32
set ptkColorList(forestgreen) #228b22
set ptkColorList(olivedrab) #6b8e23
set ptkColorList(darkkhaki) #bdb76b
set ptkColorList(khaki) #f0e68c
set ptkColorList(palegoldenrod) #eee8aa
set ptkColorList(lightgoldenrodyellow) #fafad2
set ptkColorList(lightyellow) #ffffe0
set ptkColorList(yellow) #ffff00
set ptkColorList(gold) #ffd700
set ptkColorList(lightgoldenrod) #eedd82
set ptkColorList(goldenrod) #daa520
set ptkColorList(darkgoldenrod) #b8860b
set ptkColorList(rosybrown) #bc8f8f
set ptkColorList(indianred) #cd5c5c
set ptkColorList(saddlebrown) #8b4513
set ptkColorList(sienna) #a0522d
set ptkColorList(peru) #cd853f
set ptkColorList(burlywood) #deb887
set ptkColorList(beige) #f5f5dc
set ptkColorList(wheat) #f5deb3
set ptkColorList(sandybrown) #f4a460
set ptkColorList(tan) #d2b48c
set ptkColorList(chocolate) #d2691e
set ptkColorList(firebrick) #b22222
set ptkColorList(brown) #a52a2a
set ptkColorList(darksalmon) #e9967a
set ptkColorList(salmon) #fa8072
set ptkColorList(lightsalmon) #ffa07a
set ptkColorList(orange) #ffa500
set ptkColorList(darkorange) #ff8c00
set ptkColorList(coral) #ff7f50
set ptkColorList(lightcoral) #f08080
set ptkColorList(tomato) #ff6347
set ptkColorList(orangered) #ff4500
set ptkColorList(red) #ff0000
set ptkColorList(hotpink) #ff69b4
set ptkColorList(deeppink) #ff1493
set ptkColorList(pink) #ffc0cb
set ptkColorList(lightpink) #ffb6c1
set ptkColorList(palevioletred) #db7093
set ptkColorList(maroon) #b03060
set ptkColorList(mediumvioletred) #c71585
set ptkColorList(violetred) #d02090
set ptkColorList(magenta) #ff00ff
set ptkColorList(violet) #ee82ee
set ptkColorList(plum) #dda0dd
set ptkColorList(orchid) #da70d6
set ptkColorList(mediumorchid) #ba55d3
set ptkColorList(darkorchid) #9932cc
set ptkColorList(darkviolet) #9400d3
set ptkColorList(blueviolet) #8a2be2
set ptkColorList(purple) #a020f0
set ptkColorList(mediumpurple) #9370db
set ptkColorList(thistle) #d8bfd8
set ptkColorList(snow1) #fffafa
set ptkColorList(snow2) #eee9e9
set ptkColorList(snow3) #cdc9c9
set ptkColorList(snow4) #8b8989
set ptkColorList(seashell1) #fff5ee
set ptkColorList(seashell2) #eee5de
set ptkColorList(seashell3) #cdc5bf
set ptkColorList(seashell4) #8b8682
set ptkColorList(antiquewhite1) #ffefdb
set ptkColorList(antiquewhite2) #eedfcc
set ptkColorList(antiquewhite3) #cdc0b0
set ptkColorList(antiquewhite4) #8b8378
set ptkColorList(bisque1) #ffe4c4
set ptkColorList(bisque2) #eed5b7
set ptkColorList(bisque3) #cdb79e
set ptkColorList(bisque4) #8b7d6b
set ptkColorList(peachpuff1) #ffdab9
set ptkColorList(peachpuff2) #eecbad
set ptkColorList(peachpuff3) #cdaf95
set ptkColorList(peachpuff4) #8b7765
set ptkColorList(navajowhite1) #ffdead
set ptkColorList(navajowhite2) #eecfa1
set ptkColorList(navajowhite3) #cdb38b
set ptkColorList(navajowhite4) #8b795e
set ptkColorList(lemonchiffon1) #fffacd
set ptkColorList(lemonchiffon2) #eee9bf
set ptkColorList(lemonchiffon3) #cdc9a5
set ptkColorList(lemonchiffon4) #8b8970
set ptkColorList(cornsilk1) #fff8dc
set ptkColorList(cornsilk2) #eee8cd
set ptkColorList(cornsilk3) #cdc8b1
set ptkColorList(cornsilk4) #8b8878
set ptkColorList(ivory1) #fffff0
set ptkColorList(ivory2) #eeeee0
set ptkColorList(ivory3) #cdcdc1
set ptkColorList(ivory4) #8b8b83
set ptkColorList(honeydew1) #f0fff0
set ptkColorList(honeydew2) #e0eee0
set ptkColorList(honeydew3) #c1cdc1
set ptkColorList(honeydew4) #838b83
set ptkColorList(lavenderblush1) #fff0f5
set ptkColorList(lavenderblush2) #eee0e5
set ptkColorList(lavenderblush3) #cdc1c5
set ptkColorList(lavenderblush4) #8b8386
set ptkColorList(mistyrose1) #ffe4e1
set ptkColorList(mistyrose2) #eed5d2
set ptkColorList(mistyrose3) #cdb7b5
set ptkColorList(mistyrose4) #8b7d7b
set ptkColorList(azure1) #f0ffff
set ptkColorList(azure2) #e0eeee
set ptkColorList(azure3) #c1cdcd
set ptkColorList(azure4) #838b8b
set ptkColorList(slateblue1) #836fff
set ptkColorList(slateblue2) #7a67ee
set ptkColorList(slateblue3) #6959cd
set ptkColorList(slateblue4) #473c8b
set ptkColorList(royalblue1) #4876ff
set ptkColorList(royalblue2) #436eee
set ptkColorList(royalblue3) #3a5fcd
set ptkColorList(royalblue4) #27408b
set ptkColorList(blue1) #0000ff
set ptkColorList(blue2) #0000ee
set ptkColorList(blue3) #0000cd
set ptkColorList(blue4) #00008b
set ptkColorList(dodgerblue1) #1e90ff
set ptkColorList(dodgerblue2) #1c86ee
set ptkColorList(dodgerblue3) #1874cd
set ptkColorList(dodgerblue4) #104e8b
set ptkColorList(steelblue1) #63b8ff
set ptkColorList(steelblue2) #5cacee
set ptkColorList(steelblue3) #4f94cd
set ptkColorList(steelblue4) #36648b
set ptkColorList(deepskyblue1) #00bfff
set ptkColorList(deepskyblue2) #00b2ee
set ptkColorList(deepskyblue3) #009acd
set ptkColorList(deepskyblue4) #00688b
set ptkColorList(skyblue1) #87ceff
set ptkColorList(skyblue2) #7ec0ee
set ptkColorList(skyblue3) #6ca6cd
set ptkColorList(skyblue4) #4a708b
set ptkColorList(lightskyblue1) #b0e2ff
set ptkColorList(lightskyblue2) #a4d3ee
set ptkColorList(lightskyblue3) #8db6cd
set ptkColorList(lightskyblue4) #607b8b
set ptkColorList(slategray1) #c6e2ff
set ptkColorList(slategray2) #b9d3ee
set ptkColorList(slategray3) #9fb6cd
set ptkColorList(slategray4) #6c7b8b
set ptkColorList(lightsteelblue1) #cae1ff
set ptkColorList(lightsteelblue2) #bcd2ee
set ptkColorList(lightsteelblue3) #a2b5cd
set ptkColorList(lightsteelblue4) #6e7b8b
set ptkColorList(lightblue1) #bfefff
set ptkColorList(lightblue2) #b2dfee
set ptkColorList(lightblue3) #9ac0cd
set ptkColorList(lightblue4) #68838b
set ptkColorList(lightcyan1) #e0ffff
set ptkColorList(lightcyan2) #d1eeee
set ptkColorList(lightcyan3) #b4cdcd
set ptkColorList(lightcyan4) #7a8b8b
set ptkColorList(paleturquoise1) #bbffff
set ptkColorList(paleturquoise2) #aeeeee
set ptkColorList(paleturquoise3) #96cdcd
set ptkColorList(paleturquoise4) #668b8b
set ptkColorList(cadetblue1) #98f5ff
set ptkColorList(cadetblue2) #8ee5ee
set ptkColorList(cadetblue3) #7ac5cd
set ptkColorList(cadetblue4) #53868b
set ptkColorList(turquoise1) #00f5ff
set ptkColorList(turquoise2) #00e5ee
set ptkColorList(turquoise3) #00c5cd
set ptkColorList(turquoise4) #00868b
set ptkColorList(cyan1) #00ffff
set ptkColorList(cyan2) #00eeee
set ptkColorList(cyan3) #00cdcd
set ptkColorList(cyan4) #008b8b
set ptkColorList(darkslategray1) #97ffff
set ptkColorList(darkslategray2) #8deeee
set ptkColorList(darkslategray3) #79cdcd
set ptkColorList(darkslategray4) #528b8b
set ptkColorList(aquamarine1) #7fffd4
set ptkColorList(aquamarine2) #76eec6
set ptkColorList(aquamarine3) #66cdaa
set ptkColorList(aquamarine4) #458b74
set ptkColorList(darkseagreen1) #c1ffc1
set ptkColorList(darkseagreen2) #b4eeb4
set ptkColorList(darkseagreen3) #9bcd9b
set ptkColorList(darkseagreen4) #698b69
set ptkColorList(seagreen1) #54ff9f
set ptkColorList(seagreen2) #4eee94
set ptkColorList(seagreen3) #43cd80
set ptkColorList(seagreen4) #2e8b57
set ptkColorList(palegreen1) #9aff9a
set ptkColorList(palegreen2) #90ee90
set ptkColorList(palegreen3) #7ccd7c
set ptkColorList(palegreen4) #548b54
set ptkColorList(springgreen1) #00ff7f
set ptkColorList(springgreen2) #00ee76
set ptkColorList(springgreen3) #00cd66
set ptkColorList(springgreen4) #008b45
set ptkColorList(green1) #00ff00
set ptkColorList(green2) #00ee00
set ptkColorList(green3) #00cd00
set ptkColorList(green4) #008b00
set ptkColorList(chartreuse1) #7fff00
set ptkColorList(chartreuse2) #76ee00
set ptkColorList(chartreuse3) #66cd00
set ptkColorList(chartreuse4) #458b00
set ptkColorList(olivedrab1) #c0ff3e
set ptkColorList(olivedrab2) #b3ee3a
set ptkColorList(olivedrab3) #9acd32
set ptkColorList(olivedrab4) #698b22
set ptkColorList(darkoliveGreen1) #caff70
set ptkColorList(darkoliveGreen2) #bcee68
set ptkColorList(darkoliveGreen3) #a2cd5a
set ptkColorList(darkoliveGreen4) #6e8b3d
set ptkColorList(khaki1) #fff68f
set ptkColorList(khaki2) #eee685
set ptkColorList(khaki3) #cdc673
set ptkColorList(khaki4) #8b864e
set ptkColorList(lightgoldenrod1) #ffec8b
set ptkColorList(lightgoldenrod2) #eedc82
set ptkColorList(lightgoldenrod3) #cdbe70
set ptkColorList(lightgoldenrod4) #8b814c
set ptkColorList(lightyellow1) #ffffe0
set ptkColorList(lightyellow2) #eeeed1
set ptkColorList(lightyellow3) #cdcdb4
set ptkColorList(lightyellow4) #8b8b7a
set ptkColorList(yellow1) #ffff00
set ptkColorList(yellow2) #eeee00
set ptkColorList(yellow3) #cdcd00
set ptkColorList(yellow4) #8b8b00
set ptkColorList(gold1) #ffd700
set ptkColorList(gold2) #eec900
set ptkColorList(gold3) #cdad00
set ptkColorList(gold4) #8b7500
set ptkColorList(goldenrod1) #ffc125
set ptkColorList(goldenrod2) #eeb422
set ptkColorList(goldenrod3) #cd9b1d
set ptkColorList(goldenrod4) #8b6914
set ptkColorList(darkgoldenrod1) #ffb90f
set ptkColorList(darkgoldenrod2) #eead0e
set ptkColorList(darkgoldenrod3) #cd950c
set ptkColorList(darkgoldenrod4) #8b6508
set ptkColorList(rosybrown1) #ffc1c1
set ptkColorList(rosybrown2) #eeb4b4
set ptkColorList(rosybrown3) #cd9b9b
set ptkColorList(rosybrown4) #8b6969
set ptkColorList(indianred1) #ff6a6a
set ptkColorList(indianred2) #ee6363
set ptkColorList(indianred3) #cd5555
set ptkColorList(indianred4) #8b3a3a
set ptkColorList(sienna1) #ff8247
set ptkColorList(sienna2) #ee7942
set ptkColorList(sienna3) #cd6839
set ptkColorList(sienna4) #8b4726
set ptkColorList(burlywood1) #ffd39b
set ptkColorList(burlywood2) #eec591
set ptkColorList(burlywood3) #cdaa7d
set ptkColorList(burlywood4) #8b7355
set ptkColorList(wheat1) #ffe7ba
set ptkColorList(wheat2) #eed8ae
set ptkColorList(wheat3) #cdba96
set ptkColorList(wheat4) #8b7e66
set ptkColorList(tan1) #ffa54f
set ptkColorList(tan2) #ee9a49
set ptkColorList(tan3) #cd853f
set ptkColorList(tan4) #8b5a2b
set ptkColorList(chocolate1) #ff7f24
set ptkColorList(chocolate2) #ee7621
set ptkColorList(chocolate3) #cd661d
set ptkColorList(chocolate4) #8b4513
set ptkColorList(firebrick1) #ff3030
set ptkColorList(firebrick2) #ee2c2c
set ptkColorList(firebrick3) #cd2626
set ptkColorList(firebrick4) #8b1a1a
set ptkColorList(brown1) #ff4040
set ptkColorList(brown2) #ee3b3b
set ptkColorList(brown3) #cd3333
set ptkColorList(brown4) #8b2323
set ptkColorList(salmon1) #ff8c69
set ptkColorList(salmon2) #ee8262
set ptkColorList(salmon3) #cd7054
set ptkColorList(salmon4) #8b4c39
set ptkColorList(lightsalmon1) #ffa07a
set ptkColorList(lightsalmon2) #ee9572
set ptkColorList(lightsalmon3) #cd8162
set ptkColorList(lightsalmon4) #8b5742
set ptkColorList(orange1) #ffa500
set ptkColorList(orange2) #ee9a00
set ptkColorList(orange3) #cd8500
set ptkColorList(orange4) #8b5a00
set ptkColorList(darkorange1) #ff7f00
set ptkColorList(darkorange2) #ee7600
set ptkColorList(darkorange3) #cd6600
set ptkColorList(darkorange4) #8b4500
set ptkColorList(coral1) #ff7256
set ptkColorList(coral2) #ee6a50
set ptkColorList(coral3) #cd5b45
set ptkColorList(coral4) #8b3e2f
set ptkColorList(tomato1) #ff6347
set ptkColorList(tomato2) #ee5c42
set ptkColorList(tomato3) #cd4f39
set ptkColorList(tomato4) #8b3626
set ptkColorList(orangered1) #ff4500
set ptkColorList(orangered2) #ee4000
set ptkColorList(orangered3) #cd3700
set ptkColorList(orangered4) #8b2500
set ptkColorList(red1) #ff0000
set ptkColorList(red2) #ee0000
set ptkColorList(red3) #cd0000
set ptkColorList(red4) #8b0000
set ptkColorList(deeppink1) #ff1493
set ptkColorList(deeppink2) #ee1289
set ptkColorList(deeppink3) #cd1076
set ptkColorList(deeppink4) #8b0a50
set ptkColorList(hotpink1) #ff6eb4
set ptkColorList(hotpink2) #ee6aa7
set ptkColorList(hotpink3) #cd6090
set ptkColorList(hotpink4) #8b3a62
set ptkColorList(pink1) #ffb5c5
set ptkColorList(pink2) #eea9b8
set ptkColorList(pink3) #cd919e
set ptkColorList(pink4) #8b636c
set ptkColorList(lightpink1) #ffaeb9
set ptkColorList(lightpink2) #eea2ad
set ptkColorList(lightpink3) #cd8c95
set ptkColorList(lightpink4) #8b5f65
set ptkColorList(palevioletred1) #ff82ab
set ptkColorList(palevioletred2) #ee799f
set ptkColorList(palevioletred3) #cd6889
set ptkColorList(palevioletred4) #8b475d
set ptkColorList(maroon1) #ff34b3
set ptkColorList(maroon2) #ee30a7
set ptkColorList(maroon3) #cd2990
set ptkColorList(maroon4) #8b1c62
set ptkColorList(violetred1) #ff3e96
set ptkColorList(violetred2) #ee3a8c
set ptkColorList(violetred3) #cd3278
set ptkColorList(violetred4) #8b2252
set ptkColorList(magenta1) #ff00ff
set ptkColorList(magenta2) #ee00ee
set ptkColorList(magenta3) #cd00cd
set ptkColorList(magenta4) #8b008b
set ptkColorList(orchid1) #ff83fa
set ptkColorList(orchid2) #ee7ae9
set ptkColorList(orchid3) #cd69c9
set ptkColorList(orchid4) #8b4789
set ptkColorList(plum1) #ffbbff
set ptkColorList(plum2) #eeaeee
set ptkColorList(plum3) #cd96cd
set ptkColorList(plum4) #8b668b
set ptkColorList(mediumorchid1) #e066ff
set ptkColorList(mediumorchid2) #d15fee
set ptkColorList(mediumorchid3) #b452cd
set ptkColorList(mediumorchid4) #7a378b
set ptkColorList(darkorchid1) #bf3eff
set ptkColorList(darkorchid2) #b23aee
set ptkColorList(darkorchid3) #9a32cd
set ptkColorList(darkorchid4) #68228b
set ptkColorList(purple1) #9b30ff
set ptkColorList(purple2) #912cee
set ptkColorList(purple3) #7d26cd
set ptkColorList(purple4) #551a8b
set ptkColorList(mediumpurple1) #ab82ff
set ptkColorList(mediumpurple2) #9f79ee
set ptkColorList(mediumpurple3) #8968cd
set ptkColorList(mediumpurple4) #5d478b
set ptkColorList(thistle1) #ffe1ff
set ptkColorList(thistle2) #eed2ee
set ptkColorList(thistle3) #cdb5cd
set ptkColorList(thistle4) #8b7b8b
set ptkColorList(gray0) #000000
set ptkColorList(grey0) #000000
set ptkColorList(gray1) #030303
set ptkColorList(grey1) #030303
set ptkColorList(gray2) #050505
set ptkColorList(grey2) #050505
set ptkColorList(gray3) #080808
set ptkColorList(grey3) #080808
set ptkColorList(gray4) #0a0a0a
set ptkColorList(grey4) #0a0a0a
set ptkColorList(gray5) #0d0d0d
set ptkColorList(grey5) #0d0d0d
set ptkColorList(gray6) #0f0f0f
set ptkColorList(grey6) #0f0f0f
set ptkColorList(gray7) #121212
set ptkColorList(grey7) #121212
set ptkColorList(gray8) #141414
set ptkColorList(grey8) #141414
set ptkColorList(gray9) #171717
set ptkColorList(grey9) #171717
set ptkColorList(gray10) #1a1a1a
set ptkColorList(grey10) #1a1a1a
set ptkColorList(gray11) #1c1c1c
set ptkColorList(grey11) #1c1c1c
set ptkColorList(gray12) #1f1f1f
set ptkColorList(grey12) #1f1f1f
set ptkColorList(gray13) #212121
set ptkColorList(grey13) #212121
set ptkColorList(gray14) #242424
set ptkColorList(grey14) #242424
set ptkColorList(gray15) #262626
set ptkColorList(grey15) #262626
set ptkColorList(gray16) #292929
set ptkColorList(grey16) #292929
set ptkColorList(gray17) #2b2b2b
set ptkColorList(grey17) #2b2b2b
set ptkColorList(gray18) #2e2e2e
set ptkColorList(grey18) #2e2e2e
set ptkColorList(gray19) #303030
set ptkColorList(grey19) #303030
set ptkColorList(gray20) #333333
set ptkColorList(grey20) #333333
set ptkColorList(gray21) #363636
set ptkColorList(grey21) #363636
set ptkColorList(gray22) #383838
set ptkColorList(grey22) #383838
set ptkColorList(gray23) #3b3b3b
set ptkColorList(grey23) #3b3b3b
set ptkColorList(gray24) #3d3d3d
set ptkColorList(grey24) #3d3d3d
set ptkColorList(gray25) #404040
set ptkColorList(grey25) #404040
set ptkColorList(gray26) #424242
set ptkColorList(grey26) #424242
set ptkColorList(gray27) #454545
set ptkColorList(grey27) #454545
set ptkColorList(gray28) #474747
set ptkColorList(grey28) #474747
set ptkColorList(gray29) #4a4a4a
set ptkColorList(grey29) #4a4a4a
set ptkColorList(gray30) #4d4d4d
set ptkColorList(grey30) #4d4d4d
set ptkColorList(gray31) #4f4f4f
set ptkColorList(grey31) #4f4f4f
set ptkColorList(gray32) #525252
set ptkColorList(grey32) #525252
set ptkColorList(gray33) #545454
set ptkColorList(grey33) #545454
set ptkColorList(gray34) #575757
set ptkColorList(grey34) #575757
set ptkColorList(gray35) #595959
set ptkColorList(grey35) #595959
set ptkColorList(gray36) #5c5c5c
set ptkColorList(grey36) #5c5c5c
set ptkColorList(gray37) #5e5e5e
set ptkColorList(grey37) #5e5e5e
set ptkColorList(gray38) #616161
set ptkColorList(grey38) #616161
set ptkColorList(gray39) #636363
set ptkColorList(grey39) #636363
set ptkColorList(gray40) #666666
set ptkColorList(grey40) #666666
set ptkColorList(gray41) #696969
set ptkColorList(grey41) #696969
set ptkColorList(gray42) #6b6b6b
set ptkColorList(grey42) #6b6b6b
set ptkColorList(gray43) #6e6e6e
set ptkColorList(grey43) #6e6e6e
set ptkColorList(gray44) #707070
set ptkColorList(grey44) #707070
set ptkColorList(gray45) #737373
set ptkColorList(grey45) #737373
set ptkColorList(gray46) #757575
set ptkColorList(grey46) #757575
set ptkColorList(gray47) #787878
set ptkColorList(grey47) #787878
set ptkColorList(gray48) #7a7a7a
set ptkColorList(grey48) #7a7a7a
set ptkColorList(gray49) #7d7d7d
set ptkColorList(grey49) #7d7d7d
set ptkColorList(gray50) #7f7f7f
set ptkColorList(grey50) #7f7f7f
set ptkColorList(gray51) #828282
set ptkColorList(grey51) #828282
set ptkColorList(gray52) #858585
set ptkColorList(grey52) #858585
set ptkColorList(gray53) #878787
set ptkColorList(grey53) #878787
set ptkColorList(gray54) #8a8a8a
set ptkColorList(grey54) #8a8a8a
set ptkColorList(gray55) #8c8c8c
set ptkColorList(grey55) #8c8c8c
set ptkColorList(gray56) #8f8f8f
set ptkColorList(grey56) #8f8f8f
set ptkColorList(gray57) #919191
set ptkColorList(grey57) #919191
set ptkColorList(gray58) #949494
set ptkColorList(grey58) #949494
set ptkColorList(gray59) #969696
set ptkColorList(grey59) #969696
set ptkColorList(gray60) #999999
set ptkColorList(grey60) #999999
set ptkColorList(gray61) #9c9c9c
set ptkColorList(grey61) #9c9c9c
set ptkColorList(gray62) #9e9e9e
set ptkColorList(grey62) #9e9e9e
set ptkColorList(gray63) #a1a1a1
set ptkColorList(grey63) #a1a1a1
set ptkColorList(gray64) #a3a3a3
set ptkColorList(grey64) #a3a3a3
set ptkColorList(gray65) #a6a6a6
set ptkColorList(grey65) #a6a6a6
set ptkColorList(gray66) #a8a8a8
set ptkColorList(grey66) #a8a8a8
set ptkColorList(gray67) #ababab
set ptkColorList(grey67) #ababab
set ptkColorList(gray68) #adadad
set ptkColorList(grey68) #adadad
set ptkColorList(gray69) #b0b0b0
set ptkColorList(grey69) #b0b0b0
set ptkColorList(gray70) #b3b3b3
set ptkColorList(grey70) #b3b3b3
set ptkColorList(gray71) #b5b5b5
set ptkColorList(grey71) #b5b5b5
set ptkColorList(gray72) #b8b8b8
set ptkColorList(grey72) #b8b8b8
set ptkColorList(gray73) #bababa
set ptkColorList(grey73) #bababa
set ptkColorList(gray74) #bdbdbd
set ptkColorList(grey74) #bdbdbd
set ptkColorList(gray75) #bfbfbf
set ptkColorList(grey75) #bfbfbf
set ptkColorList(gray76) #c2c2c2
set ptkColorList(grey76) #c2c2c2
set ptkColorList(gray77) #c4c4c4
set ptkColorList(grey77) #c4c4c4
set ptkColorList(gray78) #c7c7c7
set ptkColorList(grey78) #c7c7c7
set ptkColorList(gray79) #c9c9c9
set ptkColorList(grey79) #c9c9c9
set ptkColorList(gray80) #cccccc
set ptkColorList(grey80) #cccccc
set ptkColorList(gray81) #cfcfcf
set ptkColorList(grey81) #cfcfcf
set ptkColorList(gray82) #d1d1d1
set ptkColorList(grey82) #d1d1d1
set ptkColorList(gray83) #d4d4d4
set ptkColorList(grey83) #d4d4d4
set ptkColorList(gray84) #d6d6d6
set ptkColorList(grey84) #d6d6d6
set ptkColorList(gray85) #d9d9d9
set ptkColorList(grey85) #d9d9d9
set ptkColorList(gray86) #dbdbdb
set ptkColorList(grey86) #dbdbdb
set ptkColorList(gray87) #dedede
set ptkColorList(grey87) #dedede
set ptkColorList(gray88) #e0e0e0
set ptkColorList(grey88) #e0e0e0
set ptkColorList(gray89) #e3e3e3
set ptkColorList(grey89) #e3e3e3
set ptkColorList(gray90) #e5e5e5
set ptkColorList(grey90) #e5e5e5
set ptkColorList(gray91) #e8e8e8
set ptkColorList(grey91) #e8e8e8
set ptkColorList(gray92) #ebebeb
set ptkColorList(grey92) #ebebeb
set ptkColorList(gray93) #ededed
set ptkColorList(grey93) #ededed
set ptkColorList(gray94) #f0f0f0
set ptkColorList(grey94) #f0f0f0
set ptkColorList(gray95) #f2f2f2
set ptkColorList(grey95) #f2f2f2
set ptkColorList(gray96) #f5f5f5
set ptkColorList(grey96) #f5f5f5
set ptkColorList(gray97) #f7f7f7
set ptkColorList(grey97) #f7f7f7
set ptkColorList(gray98) #fafafa
set ptkColorList(grey98) #fafafa
set ptkColorList(gray99) #fcfcfc
set ptkColorList(grey99) #fcfcfc
set ptkColorList(gray100) #ffffff
set ptkColorList(grey100) #ffffff

# Look up a color.  Convert all characters to lower case, so
# that case does not matter.
proc ptkColor name {
    set lname [string tolower $name]
    global ptkColorList
    if [info exists ptkColorList($lname)] {
        return $ptkColorList($lname)
    } else {
        return $ptkColorList(black)
    }
}
